local function shieldDisplay(v, stplyr)
    if stplyr and stplyr.valid and stplyr.mo and stplyr.mo.valid then
        local Scale = FRACUNIT/2
        local Snapped = V_SNAPTOTOP
        local InitialXDist = 300
		local InitialYDist = 1--13
		local DistRateX = 0
		local DistRateY = 18

        for i, j in ipairs(stplyr.shieldstorage) do
            v.drawScaled((InitialXDist + (DistRateX * i))*FRACUNIT, (InitialYDist + (DistRateY * i))*FRACUNIT, (Scale), v.cachePatch(j.icon),V_SNAPTORIGHT|Snapped)
        end

        -- Don't draw the selector to the hud if you have less than 2 shields.
        if #stplyr.shieldstorage < 2 then 
            return 
        else
            v.drawScaled((InitialXDist + (DistRateX * stplyr.shieldstorage_index))*FRACUNIT, (InitialYDist + (DistRateY * stplyr.shieldstorage_index))*FRACUNIT, (Scale), v.cachePatch("SLCTFM"),V_SNAPTORIGHT|Snapped)
        end
    end
end
hud.add(shieldDisplay, "game")