-- creating new action to store shields because I can (actually it's because it's more useful for me that way).
function A_StoreShield(actor, var1, var2)
    local shieldType = var1
    local player = actor.player

    if not actor.player then return end
    if player.powers[pw_shield] == SH_NONE then return end

    table.insert(player.shieldstorage, ShieldObj:new(nil, shieldType))
    if #player.shieldstorage > 5 then
        table.remove(player.shieldstorage, 5)
    end
    if #player.shieldstorage == 1 then
        player.shieldstorage_index = max(#player.shieldstorage, player.shieldstorage_index)
    end
    player.powers[pw_shield] = SH_NONE
    P_SpawnShieldOrb(player)
    --chchng was too obnoxious so I removed the sound from when you store a shield. Gonna stay that way until I find a replacement.
    --S_StartSound(nil, sfx_chchng, player)
end

--[[ manual recreation of A_GiveShield override:
    WHY CAN'T YOU CALL SUPER() OUTSIDE OF A STATE CHANGE??? 
    I NEED TO MAKE A ~WHOLE~ NEW ACTION FOR THIS INSTEAD OF JUST MANUALLY CALLING A_GiveShield UGH.]]
function A_SummonShield(actor, var1, var2)
    if not actor.target or not actor.target.player then return end
    local player = actor.target.player
    local locvar1 = var1
    local locvar2 = var2
    A_StoreShield(player.mo, player.powers[pw_shield], nil)

    P_SwitchShield(player, locvar1);
	S_StartSound(player.mo, locvar2 or sfx_shield)
end

-- A_GiveShield override so shield storing happens when breaking shield monitors.
function A_GiveShield(actor, var1, var2)
    if not actor.target or not actor.target.player then return end
    local player = actor.target.player
    A_StoreShield(player.mo, player.powers[pw_shield], nil)
    super(actor, var1, var2)
end